# swagger-client
Speech Services API v3.1.

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: v3.1
- Package version: 1.0.0
- Build package: io.swagger.codegen.languages.PythonClientCodegen
For more information, please visit [https://docs.microsoft.com/azure/cognitive-services/speech-service/support](https://docs.microsoft.com/azure/cognitive-services/speech-service/support)

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com//.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com//.git`)

Then import the package:
```python
import swagger_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import swagger_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Ocp-Apim-Subscription-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Ocp-Apim-Subscription-Key'] = 'Bearer'
# Configure API key authorization: token
configuration = swagger_client.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.CustomSpeechDatasetsForModelAdaptationApi(swagger_client.ApiClient(configuration))
id = 'id_example' # str | The identifier of the dataset.
block_list = [swagger_client.CommitBlocksEntry()] # list[CommitBlocksEntry] | The list of blocks that compile the dataset.

try:
    # Commit block list to complete the upload of the dataset.
    api_instance.datasets_commit_blocks(id, block_list)
except ApiException as e:
    print("Exception when calling CustomSpeechDatasetsForModelAdaptationApi->datasets_commit_blocks: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*CustomSpeechDatasetsForModelAdaptationApi* | [**datasets_commit_blocks**](docs/CustomSpeechDatasetsForModelAdaptationApi.md#datasets_commit_blocks) | **POST** /datasets/{id}/blocks:commit | Commit block list to complete the upload of the dataset.
*CustomSpeechDatasetsForModelAdaptationApi* | [**datasets_create**](docs/CustomSpeechDatasetsForModelAdaptationApi.md#datasets_create) | **POST** /datasets | Uploads and creates a new dataset by getting the data from a specified URL or starts waiting for data blocks to be uploaded.
*CustomSpeechDatasetsForModelAdaptationApi* | [**datasets_delete**](docs/CustomSpeechDatasetsForModelAdaptationApi.md#datasets_delete) | **DELETE** /datasets/{id} | Deletes the specified dataset.
*CustomSpeechDatasetsForModelAdaptationApi* | [**datasets_get**](docs/CustomSpeechDatasetsForModelAdaptationApi.md#datasets_get) | **GET** /datasets/{id} | Gets the dataset identified by the given ID.
*CustomSpeechDatasetsForModelAdaptationApi* | [**datasets_get_blocks**](docs/CustomSpeechDatasetsForModelAdaptationApi.md#datasets_get_blocks) | **GET** /datasets/{id}/blocks | Gets the list of uploaded blocks for this dataset.
*CustomSpeechDatasetsForModelAdaptationApi* | [**datasets_get_file**](docs/CustomSpeechDatasetsForModelAdaptationApi.md#datasets_get_file) | **GET** /datasets/{id}/files/{fileId} | Gets one specific file (identified with fileId) from a dataset (identified with id).
*CustomSpeechDatasetsForModelAdaptationApi* | [**datasets_list**](docs/CustomSpeechDatasetsForModelAdaptationApi.md#datasets_list) | **GET** /datasets | Gets a list of datasets for the authenticated subscription.
*CustomSpeechDatasetsForModelAdaptationApi* | [**datasets_list_files**](docs/CustomSpeechDatasetsForModelAdaptationApi.md#datasets_list_files) | **GET** /datasets/{id}/files | Gets the files of the dataset identified by the given ID.
*CustomSpeechDatasetsForModelAdaptationApi* | [**datasets_list_supported_locales**](docs/CustomSpeechDatasetsForModelAdaptationApi.md#datasets_list_supported_locales) | **GET** /datasets/locales | Gets a list of supported locales for datasets.
*CustomSpeechDatasetsForModelAdaptationApi* | [**datasets_update**](docs/CustomSpeechDatasetsForModelAdaptationApi.md#datasets_update) | **PATCH** /datasets/{id} | Updates the mutable details of the dataset identified by its ID.
*CustomSpeechDatasetsForModelAdaptationApi* | [**datasets_upload**](docs/CustomSpeechDatasetsForModelAdaptationApi.md#datasets_upload) | **POST** /datasets/upload | Uploads data and creates a new dataset.
*CustomSpeechDatasetsForModelAdaptationApi* | [**datasets_upload_block**](docs/CustomSpeechDatasetsForModelAdaptationApi.md#datasets_upload_block) | **PUT** /datasets/{id}/blocks | Upload a block of data for the dataset. The maximum size of the block is 8MiB.
*CustomSpeechEndpointsApi* | [**endpoints_create**](docs/CustomSpeechEndpointsApi.md#endpoints_create) | **POST** /endpoints | Creates a new endpoint.
*CustomSpeechEndpointsApi* | [**endpoints_delete**](docs/CustomSpeechEndpointsApi.md#endpoints_delete) | **DELETE** /endpoints/{id} | Deletes the endpoint identified by the given ID.
*CustomSpeechEndpointsApi* | [**endpoints_delete_base_model_log**](docs/CustomSpeechEndpointsApi.md#endpoints_delete_base_model_log) | **DELETE** /endpoints/base/{locale}/files/logs/{logId} | Deletes one audio or transcription log that have been stored when using the default base model of a given language.
*CustomSpeechEndpointsApi* | [**endpoints_delete_base_model_logs**](docs/CustomSpeechEndpointsApi.md#endpoints_delete_base_model_logs) | **DELETE** /endpoints/base/{locale}/files/logs | Deletes the specified audio and transcription logs that have been stored when using the default base model of a given language. It deletes all logs before (and including) a specific day.
*CustomSpeechEndpointsApi* | [**endpoints_delete_log**](docs/CustomSpeechEndpointsApi.md#endpoints_delete_log) | **DELETE** /endpoints/{id}/files/logs/{logId} | Deletes one audio or transcription log that have been stored for a given endpoint.
*CustomSpeechEndpointsApi* | [**endpoints_delete_logs**](docs/CustomSpeechEndpointsApi.md#endpoints_delete_logs) | **DELETE** /endpoints/{id}/files/logs | Deletes the specified audio and transcription logs that have been stored for a given endpoint. It deletes all logs before (and including) a specific day.
*CustomSpeechEndpointsApi* | [**endpoints_get**](docs/CustomSpeechEndpointsApi.md#endpoints_get) | **GET** /endpoints/{id} | Gets the endpoint identified by the given ID.
*CustomSpeechEndpointsApi* | [**endpoints_get_base_model_log**](docs/CustomSpeechEndpointsApi.md#endpoints_get_base_model_log) | **GET** /endpoints/base/{locale}/files/logs/{logId} | Gets a specific audio or transcription log for the default base model in a given language.
*CustomSpeechEndpointsApi* | [**endpoints_get_log**](docs/CustomSpeechEndpointsApi.md#endpoints_get_log) | **GET** /endpoints/{id}/files/logs/{logId} | Gets a specific audio or transcription log for a given endpoint.
*CustomSpeechEndpointsApi* | [**endpoints_list**](docs/CustomSpeechEndpointsApi.md#endpoints_list) | **GET** /endpoints | Gets the list of endpoints for the authenticated subscription.
*CustomSpeechEndpointsApi* | [**endpoints_list_base_model_logs**](docs/CustomSpeechEndpointsApi.md#endpoints_list_base_model_logs) | **GET** /endpoints/base/{locale}/files/logs | Gets the list of audio and transcription logs that have been stored when using the default base model of a given language.
*CustomSpeechEndpointsApi* | [**endpoints_list_logs**](docs/CustomSpeechEndpointsApi.md#endpoints_list_logs) | **GET** /endpoints/{id}/files/logs | Gets the list of audio and transcription logs that have been stored for a given endpoint.
*CustomSpeechEndpointsApi* | [**endpoints_list_supported_locales**](docs/CustomSpeechEndpointsApi.md#endpoints_list_supported_locales) | **GET** /endpoints/locales | Gets a list of supported locales for endpoint creations.
*CustomSpeechEndpointsApi* | [**endpoints_update**](docs/CustomSpeechEndpointsApi.md#endpoints_update) | **PATCH** /endpoints/{id} | Updates the metadata of the endpoint identified by the given ID.
*CustomSpeechModelEvaluationsApi* | [**evaluations_create**](docs/CustomSpeechModelEvaluationsApi.md#evaluations_create) | **POST** /evaluations | Creates a new evaluation.
*CustomSpeechModelEvaluationsApi* | [**evaluations_delete**](docs/CustomSpeechModelEvaluationsApi.md#evaluations_delete) | **DELETE** /evaluations/{id} | Deletes the evaluation identified by the given ID.
*CustomSpeechModelEvaluationsApi* | [**evaluations_get**](docs/CustomSpeechModelEvaluationsApi.md#evaluations_get) | **GET** /evaluations/{id} | Gets the evaluation identified by the given ID.
*CustomSpeechModelEvaluationsApi* | [**evaluations_get_file**](docs/CustomSpeechModelEvaluationsApi.md#evaluations_get_file) | **GET** /evaluations/{id}/files/{fileId} | Gets one specific file (identified with fileId) from an evaluation (identified with id).
*CustomSpeechModelEvaluationsApi* | [**evaluations_list**](docs/CustomSpeechModelEvaluationsApi.md#evaluations_list) | **GET** /evaluations | Gets the list of evaluations for the authenticated subscription.
*CustomSpeechModelEvaluationsApi* | [**evaluations_list_files**](docs/CustomSpeechModelEvaluationsApi.md#evaluations_list_files) | **GET** /evaluations/{id}/files | Gets the files of the evaluation identified by the given ID.
*CustomSpeechModelEvaluationsApi* | [**evaluations_list_supported_locales**](docs/CustomSpeechModelEvaluationsApi.md#evaluations_list_supported_locales) | **GET** /evaluations/locales | Gets a list of supported locales for evaluations.
*CustomSpeechModelEvaluationsApi* | [**evaluations_update**](docs/CustomSpeechModelEvaluationsApi.md#evaluations_update) | **PATCH** /evaluations/{id} | Updates the mutable details of the evaluation identified by its id.
*CustomSpeechModelsApi* | [**models_copy_to**](docs/CustomSpeechModelsApi.md#models_copy_to) | **POST** /models/{id}:copyto | Copies a model from one subscription to another.
*CustomSpeechModelsApi* | [**models_create**](docs/CustomSpeechModelsApi.md#models_create) | **POST** /models | Creates a new model.
*CustomSpeechModelsApi* | [**models_delete**](docs/CustomSpeechModelsApi.md#models_delete) | **DELETE** /models/{id} | Deletes the model identified by the given ID.
*CustomSpeechModelsApi* | [**models_get_base_model**](docs/CustomSpeechModelsApi.md#models_get_base_model) | **GET** /models/base/{id} | Gets the base model identified by the given ID.
*CustomSpeechModelsApi* | [**models_get_base_model_manifest**](docs/CustomSpeechModelsApi.md#models_get_base_model_manifest) | **GET** /models/base/{id}/manifest | Returns an manifest for this base model which can be used in an on-premise container.
*CustomSpeechModelsApi* | [**models_get_custom_model**](docs/CustomSpeechModelsApi.md#models_get_custom_model) | **GET** /models/{id} | Gets the model identified by the given ID.
*CustomSpeechModelsApi* | [**models_get_custom_model_manifest**](docs/CustomSpeechModelsApi.md#models_get_custom_model_manifest) | **GET** /models/{id}/manifest | Returns an manifest for this model which can be used in an on-premise container.
*CustomSpeechModelsApi* | [**models_get_file**](docs/CustomSpeechModelsApi.md#models_get_file) | **GET** /models/{id}/files/{fileId} | Gets one specific file (identified with fileId) from a model (identified with id).
*CustomSpeechModelsApi* | [**models_list_base_models**](docs/CustomSpeechModelsApi.md#models_list_base_models) | **GET** /models/base | Gets the list of base models for the authenticated subscription.
*CustomSpeechModelsApi* | [**models_list_custom_models**](docs/CustomSpeechModelsApi.md#models_list_custom_models) | **GET** /models | Gets the list of custom models for the authenticated subscription.
*CustomSpeechModelsApi* | [**models_list_files**](docs/CustomSpeechModelsApi.md#models_list_files) | **GET** /models/{id}/files | Gets the files of the model identified by the given ID.
*CustomSpeechModelsApi* | [**models_list_supported_locales**](docs/CustomSpeechModelsApi.md#models_list_supported_locales) | **GET** /models/locales | Gets a list of supported locales for model adaptation.
*CustomSpeechModelsApi* | [**models_update**](docs/CustomSpeechModelsApi.md#models_update) | **PATCH** /models/{id} | Updates the metadata of the model identified by the given ID.
*CustomSpeechProjectsApi* | [**projects_create**](docs/CustomSpeechProjectsApi.md#projects_create) | **POST** /projects | Creates a new project.
*CustomSpeechProjectsApi* | [**projects_delete**](docs/CustomSpeechProjectsApi.md#projects_delete) | **DELETE** /projects/{id} | Deletes the project identified by the given ID.
*CustomSpeechProjectsApi* | [**projects_get**](docs/CustomSpeechProjectsApi.md#projects_get) | **GET** /projects/{id} | Gets the project identified by the given ID.
*CustomSpeechProjectsApi* | [**projects_list**](docs/CustomSpeechProjectsApi.md#projects_list) | **GET** /projects | Gets the list of projects for the authenticated subscription.
*CustomSpeechProjectsApi* | [**projects_list_datasets**](docs/CustomSpeechProjectsApi.md#projects_list_datasets) | **GET** /projects/{id}/datasets | Gets the list of datasets for specified project.
*CustomSpeechProjectsApi* | [**projects_list_endpoints**](docs/CustomSpeechProjectsApi.md#projects_list_endpoints) | **GET** /projects/{id}/endpoints | Gets the list of endpoints for specified project.
*CustomSpeechProjectsApi* | [**projects_list_evaluations**](docs/CustomSpeechProjectsApi.md#projects_list_evaluations) | **GET** /projects/{id}/evaluations | Gets the list of evaluations for specified project.
*CustomSpeechProjectsApi* | [**projects_list_models**](docs/CustomSpeechProjectsApi.md#projects_list_models) | **GET** /projects/{id}/models | Gets the list of models for specified project.
*CustomSpeechProjectsApi* | [**projects_list_supported_locales**](docs/CustomSpeechProjectsApi.md#projects_list_supported_locales) | **GET** /projects/locales | Gets the list of supported locales.
*CustomSpeechProjectsApi* | [**projects_list_transcriptions**](docs/CustomSpeechProjectsApi.md#projects_list_transcriptions) | **GET** /projects/{id}/transcriptions | Gets the list of transcriptions for specified project.
*CustomSpeechProjectsApi* | [**projects_update**](docs/CustomSpeechProjectsApi.md#projects_update) | **PATCH** /projects/{id} | Updates the project identified by the given ID.
*CustomSpeechTranscriptionsApi* | [**transcriptions_create**](docs/CustomSpeechTranscriptionsApi.md#transcriptions_create) | **POST** /transcriptions | Creates a new transcription.
*CustomSpeechTranscriptionsApi* | [**transcriptions_delete**](docs/CustomSpeechTranscriptionsApi.md#transcriptions_delete) | **DELETE** /transcriptions/{id} | Deletes the specified transcription task.
*CustomSpeechTranscriptionsApi* | [**transcriptions_get**](docs/CustomSpeechTranscriptionsApi.md#transcriptions_get) | **GET** /transcriptions/{id} | Gets the transcription identified by the given ID.
*CustomSpeechTranscriptionsApi* | [**transcriptions_get_file**](docs/CustomSpeechTranscriptionsApi.md#transcriptions_get_file) | **GET** /transcriptions/{id}/files/{fileId} | Gets one specific file (identified with fileId) from a transcription (identified with id).
*CustomSpeechTranscriptionsApi* | [**transcriptions_list**](docs/CustomSpeechTranscriptionsApi.md#transcriptions_list) | **GET** /transcriptions | Gets a list of transcriptions for the authenticated subscription.
*CustomSpeechTranscriptionsApi* | [**transcriptions_list_files**](docs/CustomSpeechTranscriptionsApi.md#transcriptions_list_files) | **GET** /transcriptions/{id}/files | Gets the files of the transcription identified by the given ID.
*CustomSpeechTranscriptionsApi* | [**transcriptions_list_supported_locales**](docs/CustomSpeechTranscriptionsApi.md#transcriptions_list_supported_locales) | **GET** /transcriptions/locales | Gets a list of supported locales for offline transcriptions.
*CustomSpeechTranscriptionsApi* | [**transcriptions_update**](docs/CustomSpeechTranscriptionsApi.md#transcriptions_update) | **PATCH** /transcriptions/{id} | Updates the mutable details of the transcription identified by its ID.
*CustomSpeechWebHooksApi* | [**web_hooks_create**](docs/CustomSpeechWebHooksApi.md#web_hooks_create) | **POST** /webhooks | Creates a new web hook.
*CustomSpeechWebHooksApi* | [**web_hooks_delete**](docs/CustomSpeechWebHooksApi.md#web_hooks_delete) | **DELETE** /webhooks/{id} | Deletes the web hook identified by the given ID.
*CustomSpeechWebHooksApi* | [**web_hooks_get**](docs/CustomSpeechWebHooksApi.md#web_hooks_get) | **GET** /webhooks/{id} | Gets the web hook identified by the given ID.
*CustomSpeechWebHooksApi* | [**web_hooks_list**](docs/CustomSpeechWebHooksApi.md#web_hooks_list) | **GET** /webhooks | Gets the list of web hooks for the authenticated subscription.
*CustomSpeechWebHooksApi* | [**web_hooks_ping**](docs/CustomSpeechWebHooksApi.md#web_hooks_ping) | **POST** /webhooks/{id}:ping | Sends a ping event to the registered URL.
*CustomSpeechWebHooksApi* | [**web_hooks_test**](docs/CustomSpeechWebHooksApi.md#web_hooks_test) | **POST** /webhooks/{id}:test | Sends a request for each registered event type to the registered URL.
*CustomSpeechWebHooksApi* | [**web_hooks_update**](docs/CustomSpeechWebHooksApi.md#web_hooks_update) | **PATCH** /webhooks/{id} | Updates the web hook identified by the given ID.
*ServiceHealthApi* | [**service_health_get**](docs/ServiceHealthApi.md#service_health_get) | **GET** /healthstatus | Returns the overall health of the service and optionally of the different subcomponents.


## Documentation For Models

 - [BaseModel](docs/BaseModel.md)
 - [BaseModelDeprecationDates](docs/BaseModelDeprecationDates.md)
 - [BaseModelFeatures](docs/BaseModelFeatures.md)
 - [BaseModelLinks](docs/BaseModelLinks.md)
 - [BaseModelProperties](docs/BaseModelProperties.md)
 - [BlockKind](docs/BlockKind.md)
 - [CommitBlocksEntry](docs/CommitBlocksEntry.md)
 - [Component](docs/Component.md)
 - [CustomModel](docs/CustomModel.md)
 - [CustomModelDeprecationDates](docs/CustomModelDeprecationDates.md)
 - [CustomModelFeatures](docs/CustomModelFeatures.md)
 - [CustomModelLinks](docs/CustomModelLinks.md)
 - [CustomModelProperties](docs/CustomModelProperties.md)
 - [Dataset](docs/Dataset.md)
 - [DatasetKind](docs/DatasetKind.md)
 - [DatasetLinks](docs/DatasetLinks.md)
 - [DatasetLocales](docs/DatasetLocales.md)
 - [DatasetProperties](docs/DatasetProperties.md)
 - [DatasetUpdate](docs/DatasetUpdate.md)
 - [DetailedErrorCode](docs/DetailedErrorCode.md)
 - [DiarizationProperties](docs/DiarizationProperties.md)
 - [DiarizationSpeakersProperties](docs/DiarizationSpeakersProperties.md)
 - [Endpoint](docs/Endpoint.md)
 - [EndpointLinks](docs/EndpointLinks.md)
 - [EndpointProperties](docs/EndpointProperties.md)
 - [EndpointPropertiesUpdate](docs/EndpointPropertiesUpdate.md)
 - [EndpointUpdate](docs/EndpointUpdate.md)
 - [EntityError](docs/EntityError.md)
 - [EntityReference](docs/EntityReference.md)
 - [Error](docs/Error.md)
 - [ErrorCode](docs/ErrorCode.md)
 - [Evaluation](docs/Evaluation.md)
 - [EvaluationLinks](docs/EvaluationLinks.md)
 - [EvaluationProperties](docs/EvaluationProperties.md)
 - [EvaluationUpdate](docs/EvaluationUpdate.md)
 - [File](docs/File.md)
 - [FileKind](docs/FileKind.md)
 - [FileLinks](docs/FileLinks.md)
 - [FileProperties](docs/FileProperties.md)
 - [HealthStatus](docs/HealthStatus.md)
 - [InnerError](docs/InnerError.md)
 - [LanguageIdentificationProperties](docs/LanguageIdentificationProperties.md)
 - [ModelCopy](docs/ModelCopy.md)
 - [ModelFile](docs/ModelFile.md)
 - [ModelManifest](docs/ModelManifest.md)
 - [ModelUpdate](docs/ModelUpdate.md)
 - [PaginatedBaseModels](docs/PaginatedBaseModels.md)
 - [PaginatedCustomModels](docs/PaginatedCustomModels.md)
 - [PaginatedDatasets](docs/PaginatedDatasets.md)
 - [PaginatedEndpoints](docs/PaginatedEndpoints.md)
 - [PaginatedEvaluations](docs/PaginatedEvaluations.md)
 - [PaginatedFiles](docs/PaginatedFiles.md)
 - [PaginatedProjects](docs/PaginatedProjects.md)
 - [PaginatedTranscriptions](docs/PaginatedTranscriptions.md)
 - [PaginatedWebHooks](docs/PaginatedWebHooks.md)
 - [ProfanityFilterMode](docs/ProfanityFilterMode.md)
 - [Project](docs/Project.md)
 - [ProjectLinks](docs/ProjectLinks.md)
 - [ProjectProperties](docs/ProjectProperties.md)
 - [ProjectUpdate](docs/ProjectUpdate.md)
 - [PunctuationMode](docs/PunctuationMode.md)
 - [ResponseBlock](docs/ResponseBlock.md)
 - [ServiceHealth](docs/ServiceHealth.md)
 - [SharedModel](docs/SharedModel.md)
 - [SharedModelFeatures](docs/SharedModelFeatures.md)
 - [Status](docs/Status.md)
 - [Transcription](docs/Transcription.md)
 - [TranscriptionLinks](docs/TranscriptionLinks.md)
 - [TranscriptionProperties](docs/TranscriptionProperties.md)
 - [TranscriptionUpdate](docs/TranscriptionUpdate.md)
 - [UploadedBlocks](docs/UploadedBlocks.md)
 - [WebHook](docs/WebHook.md)
 - [WebHookEvents](docs/WebHookEvents.md)
 - [WebHookLinks](docs/WebHookLinks.md)
 - [WebHookProperties](docs/WebHookProperties.md)
 - [WebHookPropertiesUpdate](docs/WebHookPropertiesUpdate.md)
 - [WebHookUpdate](docs/WebHookUpdate.md)


## Documentation For Authorization


## api_key

- **Type**: API key
- **API key parameter name**: Ocp-Apim-Subscription-Key
- **Location**: HTTP header

## token

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author



